summaryrefslogtreecommitdiffstats
path: root/office/homebank
diff options
context:
space:
mode:
author Erik Hanson2010-05-12 17:44:44 +0200
committer Robby Workman2010-05-12 17:44:44 +0200
commit8f73ed774cfcdcc276f59591a289558075ab97f4 (patch)
tree24c2b5e539f95a9080b60f2ca01f4a98572b969b /office/homebank
parent3548fef2787fd4fa0ce1f3180b2852fee53d1e01 (diff)
downloadslackbuilds-8f73ed774cfcdcc276f59591a289558075ab97f4.tar.gz
office/homebank: Updated for version 4.0.4
Diffstat (limited to 'office/homebank')
-rw-r--r--office/homebank/README9
-rw-r--r--office/homebank/doinst.sh11
-rw-r--r--office/homebank/homebank.SlackBuild26
-rw-r--r--office/homebank/homebank.info8
4 files changed, 36 insertions, 18 deletions
diff --git a/office/homebank/README b/office/homebank/README
index 0c39c61a5c..a08b3a0488 100644
--- a/office/homebank/README
+++ b/office/homebank/README
@@ -4,11 +4,4 @@ use. It brings you many features that allows you to analyze your finances in
a detailed way instantly and dynamically with powerfull report tools based on
filtering and graphical charts.
-Furthermore HomeBank benefits now for more than 10 years of users experiences
-and feedbacks as its development started in 1995 on Amiga computers. It is now
-available on Amiga, GNU/Linux, and will probably be soon available for
-Microsoft Windows and MacOS X systems, as GTK+ exists on it.
-
-Really, if you are looking for an easy way to do your home accounts, then
-HomeBank should be the software you choose. Just take a little time to try it
-out now, and you won't regret doing so...
+libofx is recommended but not required for this.
diff --git a/office/homebank/doinst.sh b/office/homebank/doinst.sh
index 3857649f50..3bea8b35fa 100644
--- a/office/homebank/doinst.sh
+++ b/office/homebank/doinst.sh
@@ -1,3 +1,14 @@
if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications &> /dev/null
fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime > /dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/office/homebank/homebank.SlackBuild b/office/homebank/homebank.SlackBuild
index de35eff88c..8dd9e691c3 100644
--- a/office/homebank/homebank.SlackBuild
+++ b/office/homebank/homebank.SlackBuild
@@ -1,13 +1,14 @@
-#!/bin/sh -eu
+#!/bin/sh
# Slackware build script for homebank
# Written by Erik Hanson erik@slackbuilds.org
PRGNAM=homebank
-VERSION=4.0
+VERSION=4.0.4
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -15,10 +16,17 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -eu
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -31,17 +39,23 @@ chmod -R u+w,go+r-w,a-s .
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
- --localstatedir=/var
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
-find $PKG | xargs file | egrep "ELF.*executable" | cut -f1 -d: | xargs strip --strip-unneeded 2> /dev/null
+find $PKG | xargs file | egrep "ELF.*executable" | cut -f1 -d: | \
+ xargs strip --strip-unneeded 2> /dev/null || true
-mkdir -p $PKG/usr/share/applications $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
-cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
diff --git a/office/homebank/homebank.info b/office/homebank/homebank.info
index 995abd1407..3dcf3e029f 100644
--- a/office/homebank/homebank.info
+++ b/office/homebank/homebank.info
@@ -1,8 +1,8 @@
PRGNAM="homebank"
-VERSION="4.0"
+VERSION="4.0.4"
HOMEPAGE="http://homebank.free.fr/"
-DOWNLOAD="http://homebank.free.fr/public/homebank-4.0.tar.gz"
-MD5SUM="b6f3c01d27cf476e4ae74eb56e06bc00"
+DOWNLOAD="http://homebank.free.fr/public/homebank-4.0.4.tar.gz"
+MD5SUM="90fcd33db3e1ec00c74662ae468508d5"
MAINTAINER="Erik Hanson"
EMAIL="erik@slackbuilds.org"
-APPROVED="dsomero"
+APPROVED="rworkman"